libxcursor1_1.1.15-1_amd64.deb


Advertisement

Description

libxcursor1 - X cursor management library

Property Value
Distribution Ubuntu 18.04 LTS (Bionic Beaver)
Repository Ubuntu Main amd64
Package name libxcursor1
Package version 1.1.15
Package release 1
Package architecture amd64
Package type deb
Installed size 59 B
Download size 19.29 KB
Official Mirror archive.ubuntu.com
Xcursor is a simple library designed to help locate and load cursors for the
X Window System.  Cursors can be loaded from files or memory and can exist in
several sizes; the library automatically picks the best size.  When using
images loaded from files, Xcursor prefers to use the Render extension's
CreateCursor request for rendering cursors.  Where the Render extension is
not supported, Xcursor maps the cursor image to a standard X cursor and uses
the core X protocol CreateCursor request.

Alternatives

Package Version Architecture Repository
libxcursor1_1.1.15-1_i386.deb 1.1.15 i386 Ubuntu Main
libxcursor1 - - -

Requires

Name Value
libc6 >= 2.4
libx11-6 >= 2:1.4.99.1
libxfixes3 -
libxrender1 -

Download

Type URL
Binary Package libxcursor1_1.1.15-1_amd64.deb
Source Package libxcursor

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install libxcursor1 deb package:
    # sudo apt-get install libxcursor1

Files

Path
/usr/lib/x86_64-linux-gnu/libXcursor.so.1
/usr/lib/x86_64-linux-gnu/libXcursor.so.1.0.2
/usr/share/doc/libxcursor1/changelog.Debian.gz
/usr/share/doc/libxcursor1/copyright

Changelog

2017-12-19 - Drew Parsons <dparsons@debian.org>
libxcursor (1:1.1.15-1) unstable; urgency=medium
* Team upload.
* New upstream version
- contains patch for CVE-2017-16612
* Standards-Version: 4.1.2
2017-12-09 - Salvatore Bonaccorso <carnil@debian.org>
libxcursor (1:1.1.14-3.1) unstable; urgency=medium
* Non-maintainer upload.
* Fix heap overflows when parsing malicious files (CVE-2017-16612)
(Closes: #883792)
2017-08-24 - Drew Parsons <dparsons@debian.org>
libxcursor (1:1.1.14-3) unstable; urgency=medium
* Team upload.
[ Drew Parsons ]
* debian/control Homepage: https://www.x.org
* Standards-Version: 4.1.0
[ Cyril Brulebois ]
* debian/rules: Set PACKAGE to libxcursor1. Otherwise dh_makeshlibs is
called with an incomplete package name for the udeb, which breaks
reverse dependencies (Closes: #873041).
2017-08-20 - Drew Parsons <dparsons@debian.org>
libxcursor (1:1.1.14-2) unstable; urgency=medium
* Team upload.
- remove Drew Parsons as Uploader.
* Standards-Version: 4.0.1
* Debian source format 3.0 (quilt)
- remove debian/xsfbs (quilt patch functionality now standard)
- update autogen.sh as debian patch, take from upstream git repo
* Convert debian build system to dh
* debhelper compatibility level 10
* Remove libxcursor1-dbg: symbols are now provided by libxcursor1-dbgsym
2013-06-23 - Julien Cristau <jcristau@debian.org>
libxcursor (1:1.1.14-1) unstable; urgency=low
* New upstream release.
* Bump debhelper compat level to 7.
* Simplify installing the manpage.  No need to go through dh_installmanpages
when dh_install does the job.
* Disable silent rules.
* Use dpkg-buildflags.
2013-05-14 - Julien Cristau <jcristau@debian.org>
libxcursor (1:1.1.13-1+deb7u1) wheezy-security; urgency=high
* signedness bug & integer overflow in _XcursorFileHeaderCreate()
[CVE-2013-2003]
2012-04-13 - Julien Cristau <jcristau@debian.org>
libxcursor (1:1.1.13-1) unstable; urgency=low
* New upstream release.
* Mark libxcursor-dev multi-arch: same.
* Don't require root for debian/rules clean.
2011-06-30 - Cyril Brulebois <kibi@debian.org>
libxcursor (1:1.1.12-1) unstable; urgency=low
* New upstream release.
2011-06-11 - Julien Cristau <jcristau@debian.org>
libxcursor (1:1.1.11-3) unstable; urgency=low
* Team upload.
* Don't put debugging symbols for the udeb in libxcursor1-dbg.
* Add build-arch and build-indep debian/rules target, and fix dependency for
build-stamp.
2011-06-11 - Julien Cristau <jcristau@debian.org>
libxcursor (1:1.1.11-2) unstable; urgency=low
* Team upload.
[ Steve Langasek ]
* Build for multiarch.
[ Julien Cristau ]
* Remove David Nusinow from Uploaders.
* Bump Standards-Version to 3.9.2.

See Also

Package Description
libxdamage-dev_1.1.4-3_amd64.deb X11 damaged region extension library (development headers)
libxdamage1_1.1.4-3_amd64.deb X11 damaged region extension library
libxdmcp-dev_1.1.2-3_amd64.deb X11 authorisation library (development headers)
libxdmcp6_1.1.2-3_amd64.deb X11 Display Manager Control Protocol library
libxen-4.9_4.9.2-0ubuntu1_amd64.deb Public libs for Xen
libxen-dev_4.9.2-0ubuntu1_amd64.deb Public headers and libs for Xen
libxenstore3.0_4.9.2-0ubuntu1_amd64.deb Xenstore communications library for Xen
libxext-dev_1.3.3-1_amd64.deb X11 miscellaneous extensions library (development headers)
libxext-doc_1.3.3-1_all.deb X11 miscellaneous extensions library (documentation)
libxext6_1.3.3-1_amd64.deb X11 miscellaneous extension library
libxfixes-dev_5.0.3-1_amd64.deb X11 miscellaneous 'fixes' extension library (development headers)
libxfixes3_5.0.3-1_amd64.deb X11 miscellaneous 'fixes' extension library
libxfont-dev_2.0.3-1_amd64.deb X11 font rasterisation library (development headers)
libxfont2_2.0.3-1_amd64.deb X11 font rasterisation library
libxft-dev_2.3.2-1_amd64.deb FreeType-based font drawing library for X (development files)
Advertisement
Advertisement